Skip to content

Update a pipeline stage

Request

Update a pipeline stage's name, category, or order.

Security
bearerAuth
Path
uuidstringrequired

Resource UUID.

Bodyapplication/jsonrequired
namestring
categorystring
Enum:"cold""engaging""positive""negative"
orderinteger
PUT
/leads/api/pipeline-stages/{uuid}
curl -i -X PUT \
  'https://leadgen.grinfi.io/leads/api/pipeline-stages/{uuid}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "name": "string",
    "category": "cold",
    "order": 0
  }'

Responses

Updated stage.

Bodyapplication/json
uuidstring
Example:"a1b2c3d4-e5f6-7890-abcd-ef1234567890"
team_idinteger
namestring
Example:"Demo Booked"
objectstring
Enum:"lead""company"
typestring
Enum:"custom""new""approaching""engaging""replied"
categorystring
Enum:"cold""engaging""positive""negative"
orderinteger
Response
{ "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "team_id": 0, "name": "Demo Booked", "object": "lead", "type": "custom", "category": "cold", "order": 0 }